qemu-img: 'image' uses a vmdk feature which is not supported by this qemu version: VMDK version 3

Bug #1253465 reported by Patrick Schleizer on 2013-11-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
QEMU
Undecided
Unassigned

Bug Description

qemu-img convert in.vmdk -O RAW out.img

Fails with:
qemu-img: 'image' uses a vmdk feature which is not supported by this qemu version: VMDK version 3

qemu-img version 1.6.1

On Wed, Nov 20, 2013 at 11:00:14PM -0000, adrelanos wrote:
> qemu-img convert in.vmdk -O RAW out.img
>
> Fails with:
> qemu-img: 'image' uses a vmdk feature which is not supported by this qemu version: VMDK version 3
>
> qemu-img version 1.6.1

This is a known issue. VMware has not released the file format
specification for VMDK version 3. At this point the information needed
to implement version 3 support is not publicly available.

If you are aware of open source software which already supports version
3, please let us know!

Fam: Do you have instructions for exporting version 2 images from
VMware?

Stefan

Patrick Schleizer (adrelanos) wrote :

> If you are aware of open source software which already supports version 3, please let us know!

VirtualBox can.

- VirtualBox uses VMDK version 3 disks.
- When you export a VM with VirtualBox (creating an .ova), it will include VMDK version 3 disks.
- VirtualBox can convert from vmkd to vdi. ('VBoxManage clonehd --format VDI "vmdk_file" "vdi_file"')

Does that help?

On Sat, 01/07 21:36, Patrick Schleizer wrote:
> > If you are aware of open source software which already supports
> version 3, please let us know!
>
> VirtualBox can.
>
> - VirtualBox uses VMDK version 3 disks.
> - When you export a VM with VirtualBox (creating an .ova), it will include VMDK version 3 disks.
> - VirtualBox can convert from vmkd to vdi. ('VBoxManage clonehd --format VDI "vmdk_file" "vdi_file"')
>
> Does that help?

Can you try again with QEMU 2.8? Recent versions of QEMU should be able to
handle version 3 VMDK disks.

Fam

Thomas Huth (th-huth) on 2017-02-01
Changed in qemu:
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for QEMU because there has been no activity for 60 days.]

Changed in qemu:
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers